cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1585
Views
8
Helpful
16
Replies

Cisco 2621 SSH Version Question

dcauley
Beginner
Beginner

Hello again, I am running a Cisco 2621 router with iOS version 12.3(24) and I would like to set up SSH version 2, however, I see only version 1.5 is installed.  Is SSH version 2, or 1.99 available on this version of iOS? I have googled and have not come up with a solid answer.  Thanks so much!

16 Replies 16

MHM Cisco World
VIP Mentor VIP Mentor
VIP Mentor
  • SSH Version 2.0 (SSH v2) support was introduced in Cisco IOS platforms and images start in Cisco IOS Software Release 12.1(19)E.

show ip ssh <<- share this 

Can you point me to a configuration guide for SSH version 2 please?

I have followed the setup procedure as described in the link, and have set up SSH 1.5 successfully, but it is only version 1.5.  If I type:#ip ssh version 2, i get an error as follows:

router#enable

router#ip ssh version 2
^
% Invalid input detected at '^' marker.

What am I doing wrong?

carter(config)#ip ssh version 2

you must enter the conf t mode then config the SSH version

Tried that, this is what I am seeing:


gateway1#enable
gateway1#conf t
Enter configuration commands, one per line. End with CNTL/Z.
gateway1(config)#ip ssh version 2
^
% Invalid input detected at '^' marker.

can you share this 
gateway1(config)#ip ssh version ?


gateway1(config)#ip ssh ver
^
% Invalid input detected at '^' marker.

gateway1(config)#ip ssh ?
authentication-retries Specify number of authentication retries
break-string break-string
logging Configure logging for SSH
port Starting (or only) Port number to listen on
rsa Configure RSA keypair name for SSH
source-interface Specify interface for source address in SSH
connections
time-out Specify SSH time-out interval

This is all I get....

can I see 
show version 

Secure Shell Version 2 Support (cisco.com)

  • Before configuring SSH, ensure that the required image is loaded on your device. The SSH server requires you to have a k9 (Triple Data Encryption Standard [3DES]) software image depending on your release.

gateway1#show version
Cisco Internetwork Operating System Software
IOS (tm) C2600 Software (C2600-IK9O3S3-M), Version 12.3(24), RELEASE SOFTWARE (fc4)
Technical Support: http://www.cisco.com/techsupport
Copyright (c) 1986-2007 by cisco Systems, Inc.
Compiled Thu 18-Oct-07 14:26 by stshen
Image text-base: 0x80008098, data-base: 0x81A1E1E8

ROM: System Bootstrap, Version 12.2(6r), RELEASE SOFTWARE (fc1)

gateway1 uptime is 37 minutes
System returned to ROM by reload
System image file is "flash:c2600-ik9o3s3-mz.123-24.bin"

Cisco 2600 Series - Cisco IOS Release 12.2(2)XA - Cisco

IP/FW/IDS Plus IPsec 3DES

c2600-ik9o3s-mz

this image is 3DES version, I will check why command version not appear 

12.3(4)T

This command was introduced.

ip ssh version [1 | 2]

Cisco IOS Security Command Reference: Commands D to L - ip source-track through ivrf [Support] - Cisco

this command introduced in 12.3(4)
sorry. 

Thanks for your patience and help sir! I really appreciate it.  Is it possible for me to install version 12.3(4) on this model?

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers